Page MenuHomePhabricator

Suggested links list in Special:ContentTranslation scrolls together when using two-finger scroll
Closed, ResolvedPublic

Description

Discovered when testing https://gerrit.wikimedia.org/r/#/c/227181/ : Start adding a links, get the suggested links list (now scrollable), then use the two-finger scroll to scroll the page up and down (using the mouse wheel probably has the same effect, but I don't have a wheel mouse to try it).

Observed: The whole list detaches itself from the link tool and moves up and down with the page.

Expected: The list is supposed to stay attached to the link tool in any case. When using the two-finger scroll inside the list, the links list should scroll. When using it outside the tool, the page should scroll and the links list must stay at one place.

This is a follow-up to T106528.

Event Timeline

Amire80 created this task.Jul 27 2015, 1:55 PM
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 1:55 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 28 2015, 6:18 PM
Amire80 updated the task description. (Show Details)Jul 28 2015, 6:48 PM
Amire80 set Security to None.
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 3:20 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 16 2015, 8:16 AM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Dec 10 2018, 1:35 PM
Etonkovidova closed this task as Resolved.Feb 8 2019, 11:00 PM
Etonkovidova claimed this task.
Etonkovidova added a subscriber: Etonkovidova.

The issue is present only in CX1 - see the animated screenshot attached:

Since there are no user complaints and T106528: Suggested link list on the link inspector is misplaced when scrolling the page is closed as not present in CX2, I am marking this ticket as resolved.